// -------------------------------------------------------------------------------------------------
// xsBoton.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la librería
#include "xsEasyCpp.hpp"

#ifndef __xsBoton_hpp__
#define __xsBoton_hpp__

Clase xsBoton : Publica xsObjeto
{
	Publica:

	    xsBoton();

		Vacio crear(xsCadena etiqueta,
		            Logico   mnemonico);

	    xsBoton(xsCadena etiqueta,
		        Logico   mnemonico);
				
        Vacio eliminarRelieve();

        Vacio colocarRelieve();

		Vacio colocarImagen(xsCadena nombre, xsIconoTamanio tamanio);
		
		Vacio colocarImagen(xsCadena archivo);
        
		Vacio colocarBorde(Entero borde);

		Vacio colocarTexto(xsCadena texto);

		xsCadena obtenerTexto();

};

// Fin de la Definición del Archivo
#endif
